---
agentTools:
  projectIndex: https://docs.mindstamp.com/llms.txt
---

# Add videos to a group

Add videos to a specified group by providing a comma-separated list of video tokens or IDs (e.g., ?videos=aAZdX124,ac8a6df7-5dd1-4e34-97f6-cdb54efc59a5)

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Welcome to the Mindstamp API documentation overview! \n\n As the premium Interactive Video platform, we pride ourselves in providing the best-in-class solution to our customers' needs. In addition to providing a sleek and intuitive interactive video experience, we also provide a comprehensive API that allows our users to retrieve and utilize their Mindstamp data. Mindstamp offers a JSON REST API that provides users the ability to retrieve data for views, viewers, videos, interactions, and users for use in their own applications.",
    "version": "1.0.0",
    "title": "Mindstamp API",
    "termsOfService": "https://mindstamp.com/terms",
    "contact": {
      "email": "hello@mindstamp.com"
    }
  },
  "tags": [
    {
      "name": "Groups",
      "description": "Everything about your Groups"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    },
    {
      "bearerAuth": []
    },
    {
      "oauth2": [
        "public"
      ]
    }
  ],
  "paths": {
    "/groups/{id}/addVideo": {
      "post": {
        "tags": [
          "Groups"
        ],
        "summary": "Add videos to a group",
        "description": "Add videos to a specified group by providing a comma-separated list of video tokens or IDs (e.g., ?videos=aAZdX124,ac8a6df7-5dd1-4e34-97f6-cdb54efc59a5)",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "videos",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/videos"
                }
              }
            }
          },
          "201": {
            "description": "Created",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/videos"
                }
              }
            }
          },
          "401": {
            "description": "Not Authorized"
          },
          "404": {
            "description": "Not Found"
          },
          "422": {
            "description": "Unprocessable Entity"
          },
          "500": {
            "description": "Error"
          },
          "503": {
            "description": "Rate Limit Exceeded"
          }
        },
        "operationId": "post_groups-id-addvideo"
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Mindstamp",
    "url": "https://mindstamp.com"
  },
  "servers": [
    {
      "url": "https://api.mindstamp.com/api/v1",
      "description": "Production"
    }
  ],
  "components": {
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Use a Bearer token, for example: Authorization: Bearer <access_token>"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "A Mindstamp API token sent as Authorization: Bearer <token>. API tokens never expire."
      },
      "oauth2": {
        "type": "oauth2",
        "description": "OAuth 2.1 authorization code with PKCE for agents and integrations. Clients can register at https://app.mindstamp.com/oauth/register; discovery at https://app.mindstamp.com/.well-known/oauth-authorization-server.",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://app.mindstamp.com/oauth/authorize",
            "tokenUrl": "https://app.mindstamp.com/oauth/token",
            "refreshUrl": "https://app.mindstamp.com/oauth/token",
            "scopes": {
              "public": "Full access to the account's REST API, the same as an API token"
            }
          }
        }
      }
    },
    "schemas": {
      "video": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "9c8286f7-50e1-464f-9788-ddb76e8c5915"
          },
          "owner_id": {
            "type": "string",
            "example": "db9089d8-ae78-41d1-b83e-fb8ed5af3e5d"
          },
          "organization_id": {
            "type": "string",
            "example": "9ab95ec2-e1f3-4737-7342-456d7c8e77a8"
          },
          "token": {
            "type": "string",
            "example": "MKspMpyQAcbl"
          },
          "title": {
            "type": "string",
            "example": "My Interactive Video"
          },
          "message": {
            "type": "string",
            "example": "This interactive video was created on Mindstamp! This message is customizable"
          },
          "duration": {
            "type": "integer",
            "example": 120,
            "nullable": true
          },
          "link": {
            "type": "string",
            "example": "https://share.mindstamp.com/w/MKspMpyQAcbl"
          },
          "thumbnail": {
            "type": "string",
            "example": "https://uploads-ssl.webflow.com/5ed022dfb4faae6a1e6252f4/5ed6a9ffc96c728a4406c339_Black%402x.svg"
          },
          "created_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:12:32 UTC +00:00"
          },
          "updated_at": {
            "type": "string",
            "example": "Sat, 1 Jan 2022 05:15:24 UTC +00:00"
          },
          "embed_url": {
            "type": "string",
            "example": "https://embed.mindstamp.com/e/MKspMpyQAcbl"
          },
          "embed_code": {
            "type": "string",
            "example": "<iframe src=\"https://embed.mindstamp.com/e/MKspMpyQAcbl\"></iframe>"
          },
          "file_url": {
            "type": "string",
            "example": "https://cdn.example.com/video.mp4"
          },
          "group_id": {
            "type": "string",
            "example": "9b495ec2-e2e1-4837-9342-456f7c8e68a8"
          },
          "group_name": {
            "type": "string",
            "example": "Training Videos"
          },
          "captureCustomFields": {
            "type": "object"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "training",
              "onboarding"
            ]
          }
        }
      },
      "videos": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/video"
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 0,
      "2": 11,
      "3": 247,
      "4": 12,
      "5": 95,
      "6": 174,
      "7": 0,
      "8": 25,
      "9": 224,
      "10": 85,
      "11": 222
    }
  }
}
```